FROM 10.210.192.115:8443/library/openjdk:8

RUN mkdir -p /cloud-upms

WORKDIR /cloud-upms

ARG JAR_FILE=cloud-upms-biz/target/*.jar

COPY ${JAR_FILE} app.jar

EXPOSE 4000

ENV TZ=Asia/Shanghai JAVA_OPTS="-Xms512m -Xmx1024m -Djava.security.egd=file:/dev/./urandom"

CMD sleep 30; java -jar app.jar $JAVA_OPTS
